class Q_EXPORT QPoint
{
public:
    QPoint();
    QPoint( const QPoint& );
    QPoint( int xpos, int ypos );

    bool   isNull()	const;

    int	   x()		const prop(x);
    int	   y()		const prop(y);
    void   setX( int x ) prop(x);
    void   setY( int y ) prop(y);

    int manhattanLength() const prop(manhattanLength);
};
